MONGOC_TRANSACTION_OPTS_GET_READ_PREFS(3)

NAME
mongoc_transaction_opts_get_read_prefs - mongoc_transaction_opts_get_read_prefs()

SYNOPSIS

const mongoc_read_prefs_t *
mongoc_transaction_opts_get_read_prefs (const mongoc_transaction_opt_t *opts);

Return the transaction options' mongoc_read_prefs_t. The returned value is valid only for the lifetime of opts. See mongoc_transaction_opts_set_read_prefs().

PARAMETERS

•   opts: A mongoc_transaction_opt_t.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc